Summary: Network exploration tool and security scanner
Name: nmap
Version: 2.12
Release: 2
Packager: Michael Hauf <mh@hauf.net>
Copyright: GPL
Group: Networking/Utilities
Source: http://www.insecure.org/nmap/dist/nmap-2.12.tgz
BuildRoot: /var/tmp/nmap-root

%description
Nmap is designed to allow system administrators and curious individuals
to scan large networks to determine which hosts are up and what services
they are offering. nmap supports a large number of scanning techniques
such as: UDP, TCP connect(), TCP SYN (half open), ftp proxy (bounce 
attack), Reverse-ident, ICMP (ping sweep), FIN, ACK sweep, Xmas Tree,
SYN sweep, and Null scan. nmap also offers a number of advanced features
such as remote OS detection via TCP/IP fingerprinting, stealth scanning,
dynamic delay and retransmission calculations, parallel scanning, 
detection of down hosts via parallel pings, decoy scanning, port filtering
detection, fragmentation scanning, and flexible target and port
specification.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/nmap
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGELOG COPYING INSTALL docs/README docs/copying.html
%doc docs/nmap-fingerprinting-article.txt docs/nmap.deprecated.txt
%doc docs/nmap.usage.txt docs/nmap_doc.html docs/nmap_manpage.html
%attr(755, root, root) /usr/bin/nmap
%attr(644, root, root) /usr/lib/nmap/nmap-os-fingerprints
%attr(644, root, root) /usr/lib/nmap/nmap-services
%attr(644, root, root) /usr/man/man1/nmap.1
